#
# spec file for package python-brotlipy
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-brotlipy
Version:        0.7.0
Release:        lp150.1.1
Summary:        Python binding to the Brotli library
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/python-hyper/brotlipy
Source0:        https://pypi.io/packages/source/b/brotlipy/brotlipy-%{version}.tar.gz
BuildRequires:  %{python_module cffi >= 1.0.0}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  python-rpm-macros
Requires:       python-cffi >= 1.0.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%python_subpackages

%description
This library contains Python bindings for the reference Brotli
encoder/decoder.
This allows Python software to use the Brotli compression algorithm
directly from Python code.

%prep
%setup -q -n brotlipy-%{version}

%build
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"
%python_build

%install
%python_install
%python_expand %fdupes -s %{buildroot}%{$python_sitearch}

%files %{python_files}
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{python_sitearch}/brotli
%{python_sitearch}/brotlipy-%{version}-py%{py_ver}.egg-info

%changelog
* Sun Feb 25 2018 aloisio@gmx.com
- Update to 0.7.0 (no changelog supplied)
* Wed Mar  8 2017 aloisio@gmx.com
- Converted to single-spec
* Tue Dec 27 2016 aloisio@gmx.com
- Initial version (0.6.0)
